// pages/home/xx/index.js
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        ztVisible:false,
        messages:[],
        loverInfo:{},
        hasLover:false,// 是否单身
        userInfo:{},
        Send:false,
        SendScs:false,
        isBoundLove: false,
        mac:''

    },
    closeSend(){
        this.setData({Send: false})
    },
    openSend(){
        this.setData({Send: true})
    },
    openZtVisible(){/**点击纸条按钮 */
        this.setData({ztVisible:true})

    },
    go2Huiyi(){/**跳转到回忆页面 */

    },
    doMessageInfo(){/**查询聊天信息 */
        req.getRequest('/api/user/curt/message/lover',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({messages:res.data.data.records})
            }
           }).catch((err)=>{
            console.log(err);
        })
    },
    doQueryInit(){
        // 获取个人信息
        req.getRequest('/api/user/curt',{}).then(res => {
            if (res.data.code === 200) {
                const userInfo = res.data.data

                // 是单身显示当前页面
                if (!userInfo.hasLover) {
                    this.setData({hasLover: true})
                }

                // 绑定情侣判断
                if (this.data.mac) {
                    if (userInfo.hasLover) {
                        return this.setData({isBoundLove:true})
                    }else{
                        return this.bandingLove()
                    }
                }

                // 是情侣页面跳转
                if (userInfo.hasLover) {
                    wx.redirectTo({
                        url: '/pages/home/xx/lindex/lindex'
                    })
                }

                this.setData({
                    userInfo: userInfo
                })
            }
        })
    },
    
    // 关闭分享成功弹层
    closeScsBtn(){
        this.setData({
            SendScs: false
        })
    },

    closeBoundLove(){
        this.setData({
            isBoundLove:false,
            mac: ''
        })
        wx.switchTab({
            url: '/pages/home/jl/index'
        })
    },
    // 绑定情侣
    bandingLove(){
        req.patchRequest('/api/user/curt/lover/binding',{
            mac: this.data.mac
        }).then(res => {
            this.setData({mac: ''}),
            wx.switchTab({
                url: '/pages/home/jl/index'
            })
        })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        // 获取绑定情侣的mac
        if (options.mac) {
            // 判断是否登入
            const token = wx.getStorageSync('token')
            if (token) {
                this.setData({mac : options.mac})
            }else{
                wx.redirectTo({
                    url: '/pages/index/index?loveMac=' + options.mac
                })
            }
        }
        this.doQueryInit()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {
        this.doQueryInit()
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.doQueryInit()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
        const mac = wx.getStorageSync('mac-key')
        console.log(mac,'111');
        this.setData({
            Send: false,
            SendScs: true
        })
        return {
            path: '/pages/home/xx/index?mac=' + mac
        }
    },
    toSend(){
        // 获取信札 有内容跳转到预览页面 没有跳转编辑页面
        req.getRequest('/api/user/curt/letter',{}).then(res => {
            console.log(res);
            if (res.data.code === 200) {
                // 判断是否空信札
                if (res.data.data.isEmpty) {
                    wx.redirectTo({
                        url: '/pages/home/xx/xz/xz'
                    })
                }else{
                    console.log('2222222');
                    wx.redirectTo({
                        url: '/pages/xz/index?open=' + true
                    })
                }
            }
        })
    }
})